Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.classname
Interface ClassLoadingPicoContainer

All Superinterfaces:
  Disposable, MutablePicoContainer, PicoContainer, Startable

All Known Implementing Classes:
  DefaultClassLoadingPicoContainer

    public interface ClassLoadingPicoContainer

extends MutablePicoContainer

A ClassLoadingPicoContainer extends PicoContainer with classloader juggling capability

Author:
  Paul Hammant, Aslak Hellesøy

Method Summary
`ClassLoadingPicoContainer` | `addChildContainer(String name, PicoContainer child)` Addes a child container with a given name
`ClassPathElement` | `addClassLoaderURL(URL url)` Adds a new URL that will be used in classloading
`ClassLoader` | `getComponentClassLoader()` Returns class loader that is the aggregate of the URLs added.
`ClassLoadingPicoContainer` | `makeChildContainer(String name)` Make a child container with a given name

Methods inherited from interface org.picocontainer.MutablePicoContainer
`addAdapter, addChildContainer, addComponent, addComponent, addConfig, as, change, makeChildContainer, removeChildContainer, removeComponent, removeComponentByInstance`

Methods inherited from interface org.picocontainer.PicoContainer
`accept, getComponent, getComponent, getComponent, getComponent, getComponentAdapter, getComponentAdapter, getComponentAdapter, getComponentAdapters, getComponentAdapters, getComponentAdapters, getComponents, getComponents, getParent`

Methods inherited from interface org.picocontainer.Startable
`start, stop`

Methods inherited from interface org.picocontainer.Disposable
`dispose`

Method Detail

### addClassLoaderURL

    ClassPathElement addClassLoaderURL(URL url)

  Adds a new URL that will be used in classloading

  Parameters:
    `url` - url of the jar to find components in.
  Returns:
    ClassPathElement to add permissions to (subject to security policy)

### getComponentClassLoader

    ClassLoader getComponentClassLoader()

  Returns class loader that is the aggregate of the URLs added.

  Returns:
    A ClassLoader

### makeChildContainer

    ClassLoadingPicoContainer makeChildContainer(String name)

  Make a child container with a given name

  Parameters:
    `name` - the container name
  Returns:
    The ScriptedPicoContainer

### addChildContainer

    ClassLoadingPicoContainer addChildContainer(String name,
                                                PicoContainer child)

  Addes a child container with a given name

  Parameters:
    `name` - the container name
    `child` - the child PicoContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.